# $Revision: 1.9 $, $Date: 2004/08/10 17:07:48 $
Summary:	Space Aryarya, a video-oriented game
Summary(pl):	Space Aryarya - gra wideo
Name:		SpaceAryarya-KXL
Version:	1.0.2
Release:	2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://kxl.hn.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	0c3666630eed179d9d3c0182b6358a6f
Patch0:		%{name}-scorepath.patch
URL:		http://kxl.hn.org/
BuildRequires:	KXL-devel >= 1.1.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	KXL >= 1.1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
2D/3D scroll shooting game.

%description -l pl
Przewijana strzelanina 2D/3D.

%prep
%setup -q
%patch -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(2755,root,games) %{_bindir}/spacearyarya
%dir %{_datadir}/SpaceAryarya
%dir %{_datadir}/SpaceAryarya/data
%{_datadir}/SpaceAryarya/bmp
%{_datadir}/SpaceAryarya/wav
%{_datadir}/SpaceAryarya/data/*.dat
%attr(664,root,games) %config(noreplace) %verify(not size mtime md5) /var/games/SpaceAryarya.score

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SpaceAryarya-KXL.spec,v $
Revision 1.9  2004/08/10 17:07:48  averne
- refresh config.sub
- rel 2

Revision 1.8  2004/04/26 07:19:38  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.7  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/12 14:52:42  qboosh
- patched to fix score file path

Revision 1.4  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.3  2002/12/20 16:57:14  qboosh
- removed COPYING (known - GPL)

Revision 1.2  2002/12/20 16:56:19  qboosh
- updated URLs

Revision 1.1  2002/09/15 17:42:29  qboosh
- renamed spacearyarya.spec to SpaceAryarya-KXL.spec to reflect Name
- cosmetics, added important TODO

Revision 1.1  2002/09/12 05:46:47  pascalek
- initial release
